<!DOCTYPE HTML>
<html>
<head>
    <title>YourWebHelper</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
    <link rel="stylesheet" href="static/css/main.css" />
    <noscript><link rel="stylesheet" href="static/css/noscript.css" /></noscript>
</head>
<body class="is-preload">
    <!-- Wrapper -->
    <div id="wrapper" class="fade-in">
        <div class="col-6 col-12-small">
            <ul class="actions stacked">
                <li><a href="/index" class="button primary fit">Index a Website</a></li>
            </ul>
        </div>
        <div id="main">
            <!-- Featured Post -->
            <article>
                <header class="major">
                    <section class="split contact">
                        <section class="alt">
                            <h3>Results:</h3>
                            <p></p>
                            {% if not res %}
                                <!-- Verifica si no hay resultados -->
                                <p>No results found for your search, try indexing new sites.</p>
                            {% else %}
                                <table class="table-wrapper">
                                    {% for hit in res %}
                                        <tbody>
                                            <tr>
                                                <td> 
                                                    <h4>{{ hit['_source']['title'] }}</h4>
                                                    <p style="font-size: 10px;">{{ hit['_source']['url'] }}</p>
                                                    <p style="font-size: 10px;">Timestamp: {{ hit['_source']['timestamp'] }}</p>
                                                    <!-- Agregar otros atributos según sea necesario -->
                                                </td>
                                                <td style="display: block; height: 110px;">{{ hit['_source']['content'][:350] }}...</td>
                                                <td><a href="{{ hit['_source']['url'] }}" class="button primary">¡Visit the website!</a></td>
                                            </tr>
                                        </tbody>
                                    {% endfor %}
                                </table>
                            {% endif %}
                        </section>
                    </section>
                    <center>
                        <p></p>
                        <a href="/home" class="button primary">HOME PAGE</a>
                    </center>
                </header>
            </article>
        </div>
    </div>
    <!-- Scripts -->
    <script src="static/js/jquery.min.js"></script>
    <script src="static/js/jquery.scrollex.min.js"></script>
    <script src="static/js/jquery.scrolly.min.js"></script>
    <script src="static/js/browser.min.js"></script>
    <script src="static/js/breakpoints.min.js"></script>
    <script src="static/js/util.js"></script>
    <script src="static/js/main.js"></script>
</body>
</html>
    